Subject: radish flowering

From: [email-masked] (Bill Scholz)
Date: Tue, 14 Mar 1995 16:33:10 -0500

Can anyone suggest a way to make radishes flower?  (Are they short-day,
long-day, or day-neutral plants?)  The seeds were obtained from Carolina
Biological, who did not supply a genus or species name.  Thank you!

---

From: [email-masked] (ArtLH)
Date: 15 Mar 1995 01:03:56 -0500

Definitely long-day.  It is hard to keep them from going straight to the
bolting stage in the garden in late spring/summer.  You should have no
trouble using 14 hour days.